curl --request GET \
--url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/settlements/report-exports \
--header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'import requests
url = "https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/settlements/report-exports"
headers = {"X-SFPY-AGGREGATOR-SECRET-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SFPY-AGGREGATOR-SECRET-KEY': '<api-key>'}};
fetch('https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/settlements/report-exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "v1",
"data": {
"report_exports": [
{
"id": "56",
"token": "rpt_528221c6-d6ff-421f-a67e-73bae7451743",
"settlement_batch_id": "sb_6eb80843-eb2b-4df2-b85f-25d50f03d2a1",
"merchant_id": "",
"kind": "REPORT_KIND_BATCH",
"status": "REPORT_STATUS_SUCCEEDED",
"attempts": 1,
"error_message": "",
"s3_key": "reports/partner_37e414c3-c0cc-4541-9bea-ab5a22964bd8/sb_6eb80843-eb2b-4df2-b85f-25d50f03d2a1/batch/batch-settlement-report-1775215813-v1.csv",
"record_count": "5",
"file_size": "2508",
"started_at": "2026-04-03T11:30:14Z",
"finished_at": "2026-04-03T11:30:14Z",
"created_at": "2026-04-03T11:30:09Z",
"updated_at": "2026-04-03T11:30:14Z",
"partner_id": "partner_37e414c3-c0cc-4541-9bea-ab5a22964bd8",
"version": 1
},
{
"id": "58",
"token": "rpt_7670f587-0396-4939-ba4b-585ca67983a2",
"settlement_batch_id": "sb_6eb80843-eb2b-4df2-b85f-25d50f03d2a1",
"merchant_id": "mer_0e4b3a32-754b-483a-9c85-80581dbef4cf",
"kind": "REPORT_KIND_MERCHANT",
"status": "REPORT_STATUS_SUCCEEDED",
"attempts": 1,
"error_message": "",
"s3_key": "reports/partner_37e414c3-c0cc-4541-9bea-ab5a22964bd8/sb_6eb80843-eb2b-4df2-b85f-25d50f03d2a1/mer_0e4b3a32-754b-483a-9c85-80581dbef4cf/merchant-settlement-report-1775215823-v1.csv",
"record_count": "2",
"file_size": "1234",
"started_at": "2026-04-03T11:30:24Z",
"finished_at": "2026-04-03T11:30:24Z",
"created_at": "2026-04-03T11:30:09Z",
"updated_at": "2026-04-03T11:30:24Z",
"partner_id": "partner_37e414c3-c0cc-4541-9bea-ab5a22964bd8",
"version": 1
},
{
"id": "57",
"token": "rpt_48cc48c6-2088-4fa7-a790-007a1c4e2ac3",
"settlement_batch_id": "sb_6eb80843-eb2b-4df2-b85f-25d50f03d2a1",
"merchant_id": "mer_ce6df98c-cdde-48bf-bc32-464cecac2ee3",
"kind": "REPORT_KIND_MERCHANT",
"status": "REPORT_STATUS_SUCCEEDED",
"attempts": 1,
"error_message": "",
"s3_key": "reports/partner_37e414c3-c0cc-4541-9bea-ab5a22964bd8/sb_6eb80843-eb2b-4df2-b85f-25d50f03d2a1/mer_ce6df98c-cdde-48bf-bc32-464cecac2ee3/merchant-settlement-report-1775215818-v1.csv",
"record_count": "3",
"file_size": "1666",
"started_at": "2026-04-03T11:30:19Z",
"finished_at": "2026-04-03T11:30:19Z",
"created_at": "2026-04-03T11:30:09Z",
"updated_at": "2026-04-03T11:30:19Z",
"partner_id": "partner_37e414c3-c0cc-4541-9bea-ab5a22964bd8",
"version": 1
},
{
"id": "55",
"token": "rpt_e71265de-6699-4a02-b99b-b985edb9b915",
"settlement_batch_id": "sb_6eb80843-eb2b-4df2-b85f-25d50f03d2a1",
"merchant_id": "",
"kind": "REPORT_KIND_SEED",
"status": "REPORT_STATUS_SEEDED",
"attempts": 1,
"error_message": "",
"s3_key": "",
"record_count": "0",
"file_size": "0",
"started_at": "2026-04-03T11:30:09Z",
"finished_at": null,
"created_at": "2026-04-03T11:30:04Z",
"updated_at": "2026-04-03T11:30:09Z",
"partner_id": "partner_37e414c3-c0cc-4541-9bea-ab5a22964bd8",
"version": 0
}
],
"count": "4"
}
}{
"code": "error.bad_request",
"message": "Invalid request parameters"
}{
"api_version": "v1",
"error": {
"code": "error.unauthorized_access",
"message": "partner access key is required in request header"
}
}List Settlement Report Exports
List settlement report export for aggregator.
Authorizations
Path Parameters
Aggregator identifier that owns the settlement report exports.
"agg_b49985f2-e099-412e-8eb2-98756059cc0d"
Query Parameters
Filter report exports by settlement batch identifier.
"sb_6eb80843-eb2b-4df2-b85f-25d50f03d2a1"
Filter report exports by merchant identifier.
"mer_0e4b3a32-754b-483a-9c85-80581dbef4cf"
Filter report exports by report kind (1=REPORT_KIND_SEED, 2=REPORT_KIND_BATCH, 3=REPORT_KIND_MERCHANT).
1, 2, 3 2
Filter report exports by processing status (1=PENDING, 2=RUNNING, 3=SUCCEEDED, 4=FAILED, 5=SEEDED, 6=RETRYING).
1, 2, 3, 4, 5, 6 3
Include report exports started at or after this Unix timestamp.
1711929600
Include report exports started at or before this Unix timestamp.
1712016000
Include report exports created on or after this Unix timestamp.
1711929600
Include report exports created on or before this Unix timestamp.
1712016000
Maximum number of records to return.
"20"
Number of records to skip before listing results.
"0"
Was this page helpful?